Bug 455165 - Review-Request: maatkit - Essential command-line utilities for MySQL
Review-Request: maatkit - Essential command-line utilities for MySQL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
http://netbsd.sk/~lkundrak/SPECS/maat...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-13 06:32 EDT by Lubomir Rintel
Modified: 2008-12-27 05:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 05:39:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sven: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2008-07-13 06:32:58 EDT
SRPM: http://netbsd.sk/~lkundrak/SRPMS/maatkit-1972-2.el5.src.rpm
SPEC: http://netbsd.sk/~lkundrak/SPECS/maatkit.spec

Description:

This toolkit contains essential command-line utilities for MySQL, such as a 
table checksum tool and query profiler. It provides missing features such as 
checking slaves for data consistency, with emphasis on quality and 
scriptability.
Comment 1 Sven Lankes 2008-08-02 06:22:06 EDT
rpmlint doesn't like the license "GPLv2 or Artistic". As this seems to be a 
missing license in rpmlint / the Fedora license page I have opened bz #457486 
against rpmlint.
Comment 2 Sven Lankes 2008-08-05 17:18:33 EDT
Two issues so far:

1. the backticks in perl(:MODULE_COMPAT... should be replaced by <code></code>
   to make it more readable (and compliant to the perl packaging guidelines).

2. the resulting package doesn't install under r9/f10 - the requires needs to be changed to perl(DBD::mysql)
Comment 3 Lubomir Rintel 2008-09-24 05:47:43 EDT
(In reply to comment #2)
> Two issues so far:
> 
> 1. the backticks in perl(:MODULE_COMPAT... should be replaced by <code></code>
>    to make it more readable (and compliant to the perl packaging guidelines).

That certainly won't work, and seems to me like an issue with wiki formatting conversion when replacing moin with mediawiki. I've told spot to fix it.

> 2. the resulting package doesn't install under r9/f10 - the requires needs to
> be changed to perl(DBD::mysql)

Thanks for pointing that out!
Fixed package:

SRPM: http://netbsd.sk/~lkundrak/SRPMS/maatkit-1972-3.el5.src.rpm
SPEC: http://netbsd.sk/~lkundrak/SPECS/maatkit.spec
Comment 4 Lubomir Rintel 2008-10-27 04:40:33 EDT
Ping?
Comment 5 Gwyn Ciesla 2008-10-27 08:36:36 EDT
<sponsor hat>
Sven, FYI, it's best to not let updates to reviews sit more than two weeks.  If for some reason you're unable to complete the review, it's best to unassign it from your self so it's clear what's going on and another reviewer can be sought.
</sponsor hat>

Lubomir, if need be, I can finish this.

-J
Comment 6 Sven Lankes 2008-10-27 08:47:32 EDT
Sorry. In my head this review had the status 'waiting for packager' when in reality it really is 'packager waiting for reviewer'. I'll work on this tonight.
Comment 7 Gwyn Ciesla 2008-10-27 08:57:33 EDT
If I had a nickel for every time I'd done that. . .
Comment 8 Sven Lankes 2008-10-27 18:50:42 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one 
       supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license. License: GPLv2 or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: dc4110317c8c9e0c0bc8b53998cbd0b40048fd73  SOURCES/maatkit-1972.tar.gz
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [!] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported
architectures.
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

Maatkit-2442 has been released in the meantime. I have tried building a 2442
using the submitted specfile and that rpm also passes all tests, so I suggest
bumping the version to the current release.

Not a reason to hold up the review though - so: APPROVED
Comment 9 Lubomir Rintel 2008-12-22 19:32:13 EST
New Package CVS Request
=======================
Package Name: maatkit
Short Description: Essential command-line utilities for MySQL
Owners: lkundrak
Branches: F-9 F-10

My sincere apologies to Sven Lankes for not acting on this for so long.
Comment 10 Kevin Fenzi 2008-12-22 22:02:03 EST
cvs done.
Comment 11 Lubomir Rintel 2008-12-23 15:18:34 EST
Whoops, forgot this one.

Package change Request
=======================
Package Name: maatkit
Branches: EL-5
Comment 12 Kevin Fenzi 2008-12-24 19:42:22 EST
cvs done.
Comment 13 Lubomir Rintel 2008-12-27 05:39:20 EST
Imported and built. Thanks for review and CVS!

Note You need to log in before you can comment on or make changes to this bug.